Summary:	GNOME chess
Name:		gnome-chess
Version:	0.4.0
Release:	%mkrel 1
License:	GPL
Group:		Games/Boards
BuildRequires:	flex libgnomeui2-devel libgnomecanvas2-devel 
BuildRequires:	vte-devel libglade2.0-devel
BuildRequires:  desktop-file-utils
Source0:	ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-chess/%{name}-%{version}.tar.bz2
# (fc) 0.4.0-1mdv fix crash on exit (CVS)
Patch0:		gnome-chess-fixcrash.patch
Source11:	%{name}-16.png
Source12:	%{name}-32.png
Source13:	%{name}-48.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://www.gnome.org

%description
GNOME Chess is part of the GNOME project and is a graphical chess interface. It
can provide and interface to GNU Chess, Crafty, chess servers and PGN files.

%prep
%setup -q
%patch0 -p1 -b .fixcrash

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Boards" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/gnome-chess.desktop

# icon
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

%{find_lang} %{name}

%if %mdkversion < 200900
%post
%post_install_gconf_schemas gnome-chess
%{update_menus}
%endif

%preun
%preun_uninstall_gconf_schemas gnome-chess

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gnome-chess.schemas
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_datadir}/gnome-chess
%{_datadir}/mime-info/*
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png




%changelog
* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.4.0-1mdv2009.0
+ Revision: 218423
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Thu Dec 28 2006 Frederic Crozat <fcrozat@mandriva.com> 0.4.0-1mdv2007.0
+ Revision: 102321
- Release 0.4.0 (gnome2 port)
  Remove all patches
  Patch0 (CVS): fix crash on exit
- Import gnome-chess

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.3.3-7mdk
- Rebuild

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.3-6mdk 
- Fix build

* Wed Jun 09 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 0.3.3-5mdk
- fix gcc-3.4 build (P3)
- fix buildrequires
- cosmetics

